﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace ListBoxTest
{
    public partial class index : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            //ポストバックのときは処理しない
            if (this.IsPostBack)
            {
                return;
            }

            //項目を追加する
            this.lstFruits.Items.Add("りんご");
            this.lstFruits.Items.Add("みかん");
            this.lstFruits.Items.Add("もも");
            this.lstFruits.Items.Add("なし");
        }

        protected void btnChange_Click(object sender, EventArgs e)
        {
            //選択をクリアにする
            this.lstFruits.ClearSelection();
            
            //選択方法を切り替える
            if (this.lstFruits.SelectionMode == ListSelectionMode.Single)
            {
                this.lstFruits.SelectionMode = ListSelectionMode.Multiple;
                this.btnChange.Text = "単一選択に切り替え";
            }
            else
            {
                this.lstFruits.SelectionMode = ListSelectionMode.Single;
                this.btnChange.Text = "複数選択に切り替え";
            }
        }

        protected void btnSend_Click(object sender, EventArgs e)
        {
            //ラベルの表示内容をクリア
            this.lblMessage.Text = string.Empty;

            //選択されている場合は内容を表示
            if (this.lstFruits.SelectedIndex > -1)
            {
                //項目ごとに選択されているかをチェック
                foreach (ListItem li in this.lstFruits.Items)
                {
                    if (li.Selected)
                    {
                        this.lblMessage.Text += li.Text + " ";
                    }
                }
            }
            else
            {
                //選択されていない場合はメッセージを表示
                this.lblMessage.Text = "項目が選択されていません。";
            }
        }
    }
}